package com.ywt.outpatient.service.rpc;

/**
 * @author johnson lin
 * @date 2019/6/11 11:27 AM
 */
public class VerifyRegisterWithoutMedicalCardResult {
    private boolean success;

    private String msg;

//    private MedicalCard medicalCard;

    private String doctorTitle;

    public VerifyRegisterWithoutMedicalCardResult() {
    }

    public VerifyRegisterWithoutMedicalCardResult failed(String msg) {
        this.success = false;
        this.msg = msg;
        return this;
    }

    public boolean isSuccess() {
        return success;
    }

    public VerifyRegisterWithoutMedicalCardResult setSuccess(boolean success) {
        this.success = success;
        return this;
    }

    public String getMsg() {
        return msg;
    }

    public VerifyRegisterWithoutMedicalCardResult setMsg(String msg) {
        this.msg = msg;
        return this;
    }

//    MedicalCard getMedicalCard() {
//        return medicalCard;
//    }

//    VerifyCreateRegisteredResult setMedicalCard(MedicalCard medicalCard) {
//        this.medicalCard = medicalCard;
//        return this;
//    }

    public String getDoctorTitle() {
        return doctorTitle;
    }

    public VerifyRegisterWithoutMedicalCardResult setDoctorTitle(String doctorTitle) {
        this.doctorTitle = doctorTitle;
        return this;
    }
}
